<ion-header>
  <ion-toolbar color="ista">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Tickets Rechazados</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar  placeholder='{{defectSelect}}' animated (ionChange)="buscar($event)"></ion-searchbar>
    <ion-buttons slot="primary">
      <ion-button (click)="filtroButton()">
        <ion-icon color="ista" slot="icon-only" name="settings"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar>
    <ion-segment [(ngModel)]="estadoTicket" (ionChange)="segmentChanged($event)" value="Sin Asignar">
      <ion-segment-button value="Requerimientos">
        <ion-label color="ista">Requerimientos</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Incidentes">
        <ion-label color="ista">Incidentes</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <div [ngSwitch]="estadoTicket">
    <div *ngSwitchCase="'Incidentes'">
      <div *ngFor="let ticketlist of rechazados | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="ticketlist.estado.codEstado==3  && ticketlist.servicio.tipo.nombre ==='Incidente'" (click)="AbrirTicket(ticketlist)">
          <ion-label  color="ista">
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
          </ion-icon>
        </ion-item>
      </div>
    </div>
    <div *ngSwitchCase="'Requerimientos'">
      <div *ngFor="let ticketlist of rechazados | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="ticketlist.estado.codEstado==3 && ticketlist.servicio.tipo.nombre ==='Requerimiento'" (click)="AbrirTicket(ticketlist)">
          <ion-label  color="ista" >
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
          </ion-icon>
        </ion-item>
      </div>
    </div>
  </div>
</ion-content>
